package com.bofeng.service;

import com.baomidou.mybatisplus.toolkit.IdWorker;
import com.bofeng.JwtHelper;
import com.bofeng.dao.QzTaskDao;
import com.bofeng.entity.QzTask;
import org.joda.time.DateTime;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class QzTaskService {

  @Autowired
  private QzTaskDao qzTaskDao;


  public List<QzTask> selectAll() {
    return qzTaskDao.selectAll();
  }


  //求助的新增
  public int addHelp(QzTask qzTask) {
    qzTask.setTaskId(IdWorker.getId());
    qzTask.setTaskStatus(1);
    long userId = Long.parseLong(JwtHelper.getUserId());
    qzTask.setUserId(userId);
    qzTask.setUserCreate(userId);
    qzTask.setTimeCreate(new DateTime());
    qzTask.setUserUpdate(userId);
    qzTask.setTimeUpdate(new DateTime());
    return qzTaskDao.insert(qzTask);
  }
}
