package com.bofeng.wx.controller;

import com.baomidou.mybatisplus.toolkit.IdWorker;
import com.bofeng.Consts;
import com.bofeng.JwtHelper;
import com.bofeng.dao.UserOpenMapper;
import com.bofeng.entity.*;
import com.bofeng.service.HomeService;
import com.bofeng.service.QzTaskService;
import com.bofeng.service.UserOpenService;
import com.bofeng.service.UserService;
import com.google.common.collect.Maps;
import com.yvan.ModelOps;
import com.yvan.mvc.JsonBody;
import com.yvan.platform.JsonWapper;
import com.yvan.platform.YvanUtil;
import lombok.val;
import me.chanjar.weixin.mp.bean.result.WxMpUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

import java.util.List;
import java.util.Map;

@RestController
public class HomeController {

  @Autowired
  private HomeService homeService;

  @Autowired
  private QzTaskService qzTaskService;

  @GetMapping("/home/home.html")
  public ModelAndView home(ModelMap model) {
    //UserOpen userOpen = homeService.getUserOpen();
    model.put("user", new JsonWapper("{\"www\": \"er\"}"));
    return new ModelAndView("/home/home.ftl", model);
  }

  //家庭求助
  @GetMapping("/home/home/addFimaly")
  public ModelOps family(@JsonBody QzTask qzTask) {
    return ModelOps.newSuccess(qzTaskService.addHelp(qzTask));
  }
}
